import { IsUUID, IsOptional, IsBoolean, Allow } from 'class-validator';

import { GameEntity } from '../game/game.entity';

export class MapDrawingDTO {
  @IsOptional()
  @IsUUID('4')
  mapDrawingId: string;
  @Allow()
  data: JSON;
  @IsOptional()
  @IsUUID('4')
  gameId: GameEntity;
  @IsBoolean()
  drawingIsActive?: boolean;
}
