import { Controller, Get, Param } from '@nestjs/common';
import { NotificationsService } from './notifications.service';
import { Roles } from 'src/shared/guard.decorator';

@Controller('notifications')
export class NotificationsController {
  constructor(private notificationService: NotificationsService) {}

  // get all sent notifications for game
  // :id is the id of the game
  @Get(':id')
  @Roles('admin', 'factionleader', 'soldier', 'groupleader')
  async(@Param('id') gameId) {
    return this.notificationService.getNotifications(gameId);
  }
}
