import {
  Entity,
  PrimaryGeneratedColumn,
  Column,
  ManyToOne,
  Timestamp,
  CreateDateColumn,
} from 'typeorm';
import { FactionEntity } from '../faction/faction.entity';

@Entity('Score')
export class ScoreEntity {
  @PrimaryGeneratedColumn('uuid') scoreId: string;
  @Column({ type: 'float' }) score: number;
  @CreateDateColumn({ type: 'timestamp' }) scoreTimeStamp: Timestamp;

  @ManyToOne(type => FactionEntity, factionName => factionName.factionId, {
    onDelete: 'CASCADE',
  })
  faction: string;
}
