import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';

import { ScoreController } from './score.controller';
import { ScoreService } from './score.service';
import { FactionEntity } from '../faction/faction.entity';
import {
  ObjectivePointEntity,
  ObjectivePoint_HistoryEntity,
} from '../game/game.entity';
import { ScoreEntity } from './score.entity';
import { NotificationModule } from '../notifications/notifications.module';

@Module({
  imports: [
    TypeOrmModule.forFeature([
      ScoreEntity,
      ObjectivePointEntity,
      ObjectivePoint_HistoryEntity,
      FactionEntity,
    ]),
    NotificationModule,
  ],
  controllers: [ScoreController],
  providers: [ScoreService],
})
export class ScoreModule {}
