import { Entity, PrimaryGeneratedColumn, Column, ManyToOne } from 'typeorm';
import { Game_PersonEntity, GameEntity } from '../game/game.entity';
import { FactionEntity } from 'src/faction/faction.entity';
import { GeoDTO } from './geo.dto';

@Entity('Tracking')
export class TrackingEntity {
  @PrimaryGeneratedColumn('uuid') id: string;
  @Column({ type: 'json', nullable: true }) data: GeoDTO[];
  @Column('text') icon: string;

  @ManyToOne(type => Game_PersonEntity, person => person.gamepersonId, {
    onDelete: 'CASCADE',
  })
  gamepersonId: Game_PersonEntity;
  @ManyToOne(type => FactionEntity, faction => faction.factionId)
  faction: FactionEntity;
  @ManyToOne(type => GameEntity, game => game.id)
  game: GameEntity;
}
